#include <gdk/gdk.h>
#include <gtk/gtk.h>

#include "app.h"
#include "callbacks.h"
#include "calc.h"
#include "menus.h"
#include "version.h"

void get_main_menu (GtkWidget *window, GtkWidget **menubar)
{

  /* This is not commented on because I got it from the Gtk tutorial. Look there for info on menus in Gtk. */

  GtkItemFactory *item_factory;
  GtkAccelGroup *accel_group;
  gint nmenu_items = sizeof (menu_items) / sizeof (menu_items[0]);

  accel_group = gtk_accel_group_new ();

  item_factory = gtk_item_factory_new (GTK_TYPE_MENU_BAR, "<main>", accel_group);

  gtk_item_factory_create_items (item_factory, nmenu_items, menu_items, NULL);

  gtk_accel_group_attach (accel_group, GTK_OBJECT (window));

  if (menubar)
    *menubar = gtk_item_factory_get_widget (item_factory, "<main>");
}

