/* Copyright (C) 1999 Aaron Lehmann
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */



struct prefs
{
  GdkColor color[10], bgcolor, gridcolor;
  
  gboolean showgrid, showlegend;
  gboolean showleft, showright, showtop, showbottom, showxy;
};



#define PREFS_DEFAULT_COLOR0     "blue"
#define PREFS_DEFAULT_COLOR1     "red"
#define PREFS_DEFAULT_COLOR2     "turquoise"
#define PREFS_DEFAULT_COLOR3     "green"
#define PREFS_DEFAULT_COLOR4     "yellow"
#define PREFS_DEFAULT_COLOR5     "brown"
#define PREFS_DEFAULT_COLOR6     "orange"
#define PREFS_DEFAULT_COLOR7     "magenta"
#define PREFS_DEFAULT_COLOR8     "purple"
#define PREFS_DEFAULT_COLOR9     "HotPink1"

#define PREFS_DEFAULT_BGCOLOR    "white"
#define PREFS_DEFAULT_GRIDCOLOR  "LightBlue"

#define PREFS_DEFAULT_SHOWGRID   1
#define PREFS_DEFAULT_SHOWLEGEND 1

#define PREFS_DEFAULT_SHOWLEFT   1
#define PREFS_DEFAULT_SHOWRIGHT  1
#define PREFS_DEFAULT_SHOWTOP    1
#define PREFS_DEFAULT_SHOWBOTTOM 1
#define PREFS_DEFAULT_SHOWXY     1

/* These defaults don't have preference items associated with them. They may in the future. */
#define PREFS_DEFAULT_WINDOW_X   518
#define PREFS_DEFAULT_WINDOW_Y   600
/* Prototypes */

extern void defaults  (void);
extern int prefs_save (void);
extern int prefs_read (void);
