/* Copyright (C) 1999 Aaron Lehmann
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */




/* Menu layout struct */
GtkItemFactoryEntry menu_items[] =
{
  { "/_File",                                NULL,         NULL,               0, "<Branch>"    },
  { "/_File/_Load function set...",          "<control>L", callback_load,      0, NULL          },
  { "/_File/_Save function set...",          "<control>S",  callback_save,     0, NULL          },
  { "/_File/sep0",                           NULL,         NULL,               0, "<Separator>" },
  { "/_File/_Export graph to image...",      "<control>E", callback_export,    0, NULL          },
  { "/_File/E_xport graph to PostScript...", "<control>X", callback_export_ps, 0, NULL          },
  { "/_File/sep1",                           NULL,         NULL,               0, "<Separator>" },
  { "/_File/_Print graph",                   "<control>P", callback_print,     0, NULL          },
  { "/_File/sep2",                           NULL,         NULL,               0, "<Separator>" },
  { "/_File/_Quit",                          "<control>Q", gtk_main_quit,      0, NULL          },
  { "/_View",                                NULL,         NULL,               0, "<Branch>"    },
  { "/_View/_Zoom In",                       "<control>Z", callback_zoom_in,   0, NULL          },
  { "/_View/Zoom _Out",                      "<alt>Z",     callback_zoom_out,  0, NULL          },
  { "/_View/sep3",                           NULL,         NULL,               0, "<Separator>" },
  { "/_View/Scroll Left",                    NULL,         callback_scroll_l,  0, NULL          },
  { "/_View/Scroll Right",                   NULL,         callback_scroll_r,  0, NULL          },
  { "/_View/Scroll Up",                      NULL,         callback_scroll_u,  0, NULL          },
  { "/_View/Scroll Down",                    NULL,         callback_scroll_d,  0, NULL          },
  { "/_Labels",                              NULL,         NULL,               0, "<Branch>"    },
  { "/_Labels/Set X Label...",                  NULL,         callback_label_x,   0, NULL          },
  { "/_Labels/Set Y Label...",                  NULL,         callback_label_y,   0, NULL          },
  { "/_Settings",                            NULL,         NULL,               0, "<Branch>"    },
  { "/_Settings/P_references",               "<control>R", callback_prefs,     0, NULL          },
  { "/_Windows",                             NULL,         NULL,               0, "<Branch>"    },
  { "/_Windows/S_how calculator",            "<control>H", calc_show,          0, NULL          },
  { "/_Windows/H_ide calculator",            "<control>I", calc_hide,          0, NULL          },
  { "/_Windows/sep4",                        NULL,         NULL,               0, "<Separator>" },
  { "/_Windows/Show controls",               NULL,         callback_ctl_show,  0, NULL          },
  { "/_Windows/Hide controls",               NULL,         callback_ctl_hide,  0, NULL          },
  { "/_Help",                                NULL,         NULL,               0, "<Branch>"    },
  { "/_Help/_About",                         NULL,         callback_about,     0, NULL          }
};


void get_main_menu (GtkWidget *window, GtkWidget **menubar);
